Last Comment Bug 1119849 - Mozilla.org Hello share options for product page
: Mozilla.org Hello share options for product page
Status: VERIFIED FIXED
[kb=1630759]
:
Product: www.mozilla.org
Classification: Other
Component: Pages & Content (show other bugs)
: Production
: x86 Mac OS X
-- normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-09 09:28 PST by Cory Price [:ckprice]
Modified: 2015-01-30 09:07 PST (History)
10 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
WebWeWant Analytics ~3% CTR (169.75 KB, application/pdf)
2015-01-09 10:53 PST, Cory Price [:ckprice]
no flags Details
FFx_Hello_Product_v9_uptodateFfxuser_share.jpg (1.33 MB, image/jpeg)
2015-01-15 10:24 PST, Lee Tom
no flags Details
Hello Product Page Share (1.33 MB, image/jpeg)
2015-01-21 10:02 PST, Cory Price [:ckprice]
no flags Details

Description User image Cory Price [:ckprice] 2015-01-09 09:28:37 PST
This bug is to develop a solution for Hello share options on both the product page and the final step of the FTE.

A number of bugs were exposed on the current share widget (bug 1118885, bug 1118882, bug 1118892).

We may split these into two bugs; one for the product page and one for FTE, but let's start with both in one.
Comment 1 User image Alex Gibson [:agibson] 2015-01-09 09:36:35 PST
Note we can't really use the standard share widget on the FTE page, since it will only share the current URL of the page. We could add a share mechanism to share another URL however, like the product page for example.
Comment 2 User image Cory Price [:ckprice] 2015-01-09 09:45:12 PST
(In reply to Alex Gibson [:agibson] from comment #1)
> Note we can't really use the standard share widget on the FTE page, since it
> will only share the current URL of the page. We could add a share mechanism
> to share another URL however, like the product page for example.
Thanks for noting this Alex. We'll discuss in our meeting what options (if any) make sense for the tour page.

Although it's been discussed before, I'll also make it clear in this bug that going forward, we won't be able to directly share links to the FTUE tour on other properties (Twitter, FB, blog posts, etc). Limitations include differences in locales, unknown state of the Hello icon, and unknown versions. The tour should be considered an in-product feature.

External campaigns should share the product page as a gateway to the tour.
Comment 3 User image Jon Petto [:jpetto] 2015-01-09 09:58:33 PST
The bugs exposed on the current widget (from comment #1) aren't *really* bugs:

bug 1118885 - There's no actual bug here, it's that Twitter only counts tweets against the URL being shared - which is *always* the production URL. The difficulty here is testing on a demo or on staging, as the production URL may not yet exist.

bug 1118882 - While we've seen a little inconsistent behavior when trying to add comments to a Facebook share, there doesn't seem to be a bug in any of our code. The biggest issue here is how hard it is to verify the comments on Facebook (due to Facebook's data presentation decisions).

bug 1118892 - This is standard behavior provided by the Facebook widget (which we have no control over). The user experience is not great, but since the code isn't ours, it isn't really a bug. It's more of a cost of doing business with the Facebook widget.

All that being said, I am not a fan of this share widget. I personally don't feel the technical complexity, layout limitations, and inconsistent UIs are worth it. I much prefer the simpler version used here: https://www.mozilla.org/en-US/firefox/independent/

As we talked about in our last triage meeting, it would be great to get data on how much use our share widgets actually get.
Comment 4 User image Cory Price [:ckprice] 2015-01-09 10:28:30 PST
(In reply to Jon Petto [:jpetto] from comment #3)
> As we talked about in our last triage meeting, it would be great to get data
> on how much use our share widgets actually get.
I could only find events on the updated version on the firefox/independent page.

Putting this information here for discussion later.

Page: https://www.mozilla.org/en-US/firefox/independent/
Date range: Nov 7th, 2014 to Dec 7th, 2014
A: clicks to any of the buttons within the share area: 74,348 (http://cl.ly/image/0H3k1j12420G)
B: page views on /firefox/independent/: 2,702,720 (http://cl.ly/image/1L0O3s2r2m1T)
A/B: 0.027



:garethc - do you know of any metric gathering done for
Comment 5 User image Cory Price [:ckprice] 2015-01-09 10:29:56 PST
:garethc - do you know of any metric gathering done for the older share widget (seen here: https://blog.mozilla.org/blog/2014/11/19/promoting-choice-and-innovation-on-the-web/)?
Comment 6 User image Cory Price [:ckprice] 2015-01-09 10:47:43 PST
Just chatted with :cmore, and he found a ~3% CTR on The Web We Want campaign. Which also uses a UI different from the share widget mentioned above.
Comment 7 User image Cory Price [:ckprice] 2015-01-09 10:53:01 PST
Created attachment 8546763 [details]
WebWeWant Analytics ~3% CTR
Comment 8 User image Jennifer Bertsch [:jbertsch] 2015-01-13 12:01:21 PST
Hi Team-

I talked with Gareth about share widget performance data, mainly based on data from the Web We Want and Independence campaigns.

In general, about 2% of users share, and we get about 6-16 in-bound visits for every 100 shares (which seems low, but is great if you compare to advertising CTRs).

If we aren't driving a lot of traffic to a page, it won't generate much return traffic via shares. 

I'd also like to +1 what jpetto said above:
"All that being said, I am not a fan of this share widget. I personally don't feel the technical complexity, layout limitations, and inconsistent UIs are worth it. I much prefer the simpler version used here: https://www.mozilla.org/en-US/firefox/independent/" 

Hello is a more "social" product, but I would guess the most valuable shares will come from folks using the product, not from visits to the Hello product page.

Let's move to a simpler share implementation that reduces complexity and better matches our share ROI.

Thx,
Jen
Comment 9 User image Cory Price [:ckprice] 2015-01-15 10:12:49 PST
Hi Lee,

We'd like to incorporate sharing on the product page with a new UI (ref: https://www.mozilla.org/en-US/firefox/independent/).

Some requirements
- in the upper right area of the page (where it was before)
- smaller than it appears on the independent page
- counts aren't necessary/possible

I know that's not a lot of information, please let us know if you need more.

Do you think it's possible to see something by the end of next week?

Thanks!
Comment 10 User image Lee Tom 2015-01-15 10:24:34 PST
Created attachment 8549762 [details]
FFx_Hello_Product_v9_uptodateFfxuser_share.jpg

Perhaps, something like this? I can refine sometime next week, but I'm about to be offline for a couple days. Hope this helps us visualize what that Share component can look like.
Comment 11 User image Cory Price [:ckprice] 2015-01-21 10:02:24 PST
Created attachment 8552560 [details]
Hello Product Page Share

Updated share comp
Comment 12 User image Cory Price [:ckprice] 2015-01-26 08:55:08 PST
:jpetto - do you see any issues with Lee's implementation on the dev side?
Comment 13 User image Jon Petto [:jpetto] 2015-01-26 09:06:16 PST
No issues foreseen on my end. Assuming hover behavior will mimic that of https://www.mozilla.org/en-US/firefox/independent/?
Comment 14 User image Cory Price [:ckprice] 2015-01-26 09:09:36 PST
(In reply to Jon Petto [:jpetto] from comment #13)
> No issues foreseen on my end. Assuming hover behavior will mimic that of
> https://www.mozilla.org/en-US/firefox/independent/?
Yep. There's another sample of the widget in action here too https://www-demo1.allizom.org/en-US/privacy/tips/
Comment 15 User image Cory Price [:ckprice] 2015-01-26 09:24:54 PST
RE: analytics

Let's use the same convention that's on the other two pages: 

Share CTA Interactions, Social link click, <property>
Comment 16 User image Jon Petto [:jpetto] 2015-01-26 09:32:13 PST
Sounds good - are we ready to start development?
Comment 17 User image Cory Price [:ckprice] 2015-01-26 10:30:37 PST
(In reply to Jon Petto [:jpetto] from comment #16)
> Sounds good - are we ready to start development?
Yes. This position has already been approved by PMM, and the mockup was drawn up in collaboration with Jen and creative.
Comment 18 User image Jon Petto [:jpetto] 2015-01-26 15:44:54 PST
For the URL to share, I'm guessing we'll just use:

http://www.mozilla.org/firefox/hello/

For the share text, should we use this existing (localized) copy:

"Meet Firefox Hello, the easiest way to connect for free over video with anyone, anywhere."

Or should we expose a new string?
Comment 19 User image Jon Petto [:jpetto] 2015-01-26 15:48:48 PST
One more question on the share URL - do we want to add tracking parameters? For reference, here are the URLs used for the new privacy day page (https://github.com/mozilla/bedrock/blob/master/bedrock/privacy/templates/privacy/privacy-day.html#L26):

'twitter': 'http://mzl.la/1E63Mxm'

'googleplus': 'https://www.mozilla.org/' + LANG + '/privacy/tips/?utm_source=Google&utm_medium=MozLandingPage&utm_campaign=privacy2015&utm_content=WebsiteShare',

'facebook': 'https://www.mozilla.org/' + LANG + '/privacy/tips/?utm_source=Facebook&utm_medium=MozLandingPage&utm_campaign=privacy2015&utm_content=WebsiteShare'
Comment 20 User image Cory Price [:ckprice] 2015-01-26 16:04:57 PST
(In reply to Jon Petto [:jpetto] from comment #18)
> For the share text, should we use this existing (localized) copy:
> 
> "Meet Firefox Hello, the easiest way to connect for free over video with
> anyone, anywhere."
I think this will work for the Facebook/Google+ shares. Twitter may need to be more personal.

From the "Email Link" button on the FTUE tour, there's this piece of copy: "Join me for a video conversation using Firefox Hello"

Liz - any thoughts here? This is the page we're sharing: https://www.mozilla.org/firefox/hello/

(In reply to Jon Petto [:jpetto] from comment #19)
> One more question on the share URL - do we want to add tracking parameters?
+1 on adding tracking parameters.

:garethc - what do you think about the following?

utm_source=Google|Twitter|Facebook
utm_medium=MozLandingPage
utm_campaign=Hello
utm_content=WebsiteShare
Comment 21 User image Cory Price [:ckprice] 2015-01-26 16:19:24 PST
(In reply to Cory Price [:ckprice] from comment #20)
> From the "Email Link" button on the FTUE tour, there's this piece of copy:
> "Join me for a video conversation using Firefox Hello"
Just noticed that this piece of copy is in-product. If we can get away with using the "Meet Firefox Hello..." string for all 3 properties let's do it.
Comment 22 User image Jon Petto [:jpetto] 2015-01-26 16:35:34 PST
Yep, "Meet Firefox Hello, the easiest way to connect for free over video with anyone, anywhere." is already in the localized template. We wouldn't have to bother L10n at all if we use this string.

(Not that it's hard to change, but I'm already developing as if we are using this string.)
Comment 23 User image Liz Hull 2015-01-27 07:27:14 PST
I think the messaging works across all social platforms! It's simple and straight-forward. 

Also +1 to adding tracking parameters.
Comment 24 User image Gareth Cull [:garethc] 2015-01-27 07:38:39 PST
Hi Jon,

I would change utm_medium=MozLandingPage to utm_medium=social. We already know the landing page and medium refers to the category that social sites such as Facebook, Twitter and Google+ would roll up under.

Can you please make that change? Thanks.

Gareth
Comment 26 User image Jon Petto [:jpetto] 2015-01-27 08:33:10 PST
Branch is up on demo5:

https://www-demo5.allizom.org/en-US/firefox/hello/
Comment 27 User image [github robot] 2015-01-27 09:57:43 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/bc20db6d48682f544fdcc40f39949d2a93c45957
Add share widget to Hello product page. Bug 1119849.

- Fix small attribute spacing issue in share macro.

https://github.com/mozilla/bedrock/commit/61d4900e6b64fe3f48f7f58425ccb356d07bc3c1
Merge pull request #2684 from jpetto/bug-1119849-hello-share-widget

Add share widget to Hello product page. Bug 1119849.
Comment 28 User image Rebecca Billings [:rbillings] 2015-01-30 09:07:54 PST
Share looks much better

Note You need to log in before you can comment on or make changes to this bug.